Subject: Re: bug#47949: Failed to produce output path for guix-package-cache

From: Ludovic Courtès <[email-masked]>
Date: Wed, 28 Apr 2021 23:38:08 +0200

Hi Roel,

Roel Janssen <[email-masked]> skribis:

> /builder for
> `/gnu/store/4q9aprxi2rr1i6yjk1y7d76nbavwp4fy-guix-package-cache.drv' 
> failed to produce output path
> `/gnu/store/xgjiqmh9qlvnq1701zb5dsbbwnjx76qq-guix-package-cache'
> build of
> /gnu/store/4q9aprxi2rr1i6yjk1y7d76nbavwp4fy-guix-package-cache.drv
> failed
> Could not find build log for
> '/gnu/store/4q9aprxi2rr1i6yjk1y7d76nbavwp4fy-guix-package-cache.drv'.

Could you find the log of this derivation?  :-)

It’ll tell us what’s wrong.

> Perhaps, as a matter of diagnostics, it could build package caches
> separately for each channel to pinpoint which channel is causing the 
> problem.

Yeah, we’ll have to see what’s doable, but I agree there’s room for
improvement here.

Ludo’.